com.holonplatform.json.gson

## Interface GsonConfiguration

-     public interface GsonConfiguration

  Utility interface to handle Gson configuration for `PropertyBox` serializers and deserializers registration.
  Since:
    5.0.0

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.gson.GsonBuilder` | `builder()` Create a `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling and using the default `PropertyBox` serialization mode.
    `static com.google.gson.GsonBuilder` | `builder(PropertyBoxSerializationMode serializationMode)` Create a `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling.
    `static com.google.gson.GsonBuilder` | `configure(com.google.gson.GsonBuilder builder)` Configure given Gson `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling and using the default `PropertyBox` serialization mode.
    `static com.google.gson.GsonBuilder` | `configure(com.google.gson.GsonBuilder builder, PropertyBoxSerializationMode serializationMode)` Configure given Gson `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling.

- - ### Method Detail

    - #### builder

          static com.google.gson.GsonBuilder builder()

      Create a `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling and using the default `PropertyBox` serialization mode.
      Returns:
        A new configured `GsonBuilder`
      See Also:
        `PropertyBoxSerializationMode.getDefault()`

    - #### builder

          static com.google.gson.GsonBuilder builder(PropertyBoxSerializationMode serializationMode)

      Create a `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling.
      Parameters:
        `serializationMode` - `PropertyBox` serialization mode
      Returns:
        A new configured `GsonBuilder`
      See Also:
        `PropertyBoxSerializationMode`

    - #### configure

          static com.google.gson.GsonBuilder configure(com.google.gson.GsonBuilder builder)

      Configure given Gson `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling and using the default `PropertyBox` serialization mode.
      Parameters:
        `builder` - GsonBuilder (not null)
      Returns:
        The configured GsonBuilder
      See Also:
        `PropertyBoxSerializationMode.getDefault()`

    - #### configure

          static com.google.gson.GsonBuilder configure(com.google.gson.GsonBuilder builder,
                                                       PropertyBoxSerializationMode serializationMode)

      Configure given Gson `GsonBuilder`, registering serializers and deserializers for `PropertyBox` type handling.
      Parameters:
        `builder` - GsonBuilder (not null)
        `serializationMode` - `PropertyBox` serialization mode
      Returns:
        The configured GsonBuilder
      See Also:
        `PropertyBoxSerializationMode`

Copyright © 2019 The Holon Platform. All rights reserved.